summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorPierre Schmitz <pierre@archlinux.de>2009-07-22 20:02:37 +0200
committerAaron Griffin <aaronmgriffin@gmail.com>2009-07-22 23:23:37 +0200
commit94c1ba6eed3fbdda8be0b7c67257d30dcabfd5c6 (patch)
tree11fabb071df62d01b9c3c06af5a59721b8c09ac7
parente4346ab8404ee32a69848d4f55bb0d09664c7d75 (diff)
downloaddbscripts-94c1ba6eed3fbdda8be0b7c67257d30dcabfd5c6.tar.gz
dbscripts-94c1ba6eed3fbdda8be0b7c67257d30dcabfd5c6.tar.xz
remove support for different svn repos
Signed-off-by: Aaron Griffin <aaronmgriffin@gmail.com>
-rw-r--r--config5
-rw-r--r--db-functions14
-rwxr-xr-xdb-move7
-rwxr-xr-xdb-remove3
-rwxr-xr-xdb-update6
-rwxr-xr-xtesting2x3
6 files changed, 6 insertions, 32 deletions
diff --git a/config b/config
index 16a71ce..a8748c7 100644
--- a/config
+++ b/config
@@ -2,10 +2,7 @@
FTP_BASE="/srv/ftp"
FTP_OS_SUFFIX="os"
-SVNREPO_core="file:///srv/svn-packages"
-SVNREPO_extra="file:///srv/svn-packages"
-SVNREPO_testing="file:///srv/svn-packages"
-SVNREPO_community="file:///srv/svn-community"
+SVNREPO="file:///srv/svn-packages"
CLEANUP_DESTDIR="/srv/package-cleanup"
diff --git a/db-functions b/db-functions
index d183373..bbb6abc 100644
--- a/db-functions
+++ b/db-functions
@@ -119,19 +119,5 @@ check_pkg_arch () { #check_pkg_arch pkgfile arch
fi
}
-get_svnpath () { #get_svnpath reponame
- local var
- local repopath
- var="\$SVNREPO_${1}"
-
- eval repopath=${var}
- if [ -z "$repopath" ]; then
- echo "ERROR: SVN path not defined for '${1}'" >&2
- echo " Please check SVNREPO_${1} config setting" >&2
- fi
-
- echo "$repopath"
-}
-
# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/db-move b/db-move
index 4dbec07..e3897e3 100755
--- a/db-move
+++ b/db-move
@@ -20,11 +20,6 @@ ftppath_from="$FTP_BASE/$repofrom/os/"
ftppath_to="$FTP_BASE/$repoto/os/"
svnrepo_from="$repofrom-$_arch"
svnrepo_to="$repoto-$_arch"
-svnpath="$(get_svnpath $repoto)"
-if [ "$svnpath" != "$(get_svnpath $repofrom)" ]; then
- echo "ERROR: Cannot move packages across SVN repos"
- echo " A move must be within the same svn repo"
-fi
[ "$UID" = "" ] && UID=$(uid)
@@ -58,7 +53,7 @@ repo_lock $repofrom $_arch
/bin/mkdir -p "$WORKDIR"
cd "$WORKDIR"
-/usr/bin/svn checkout -N $svnpath checkout
+/usr/bin/svn checkout -N $SVNREPO checkout
cd checkout
/usr/bin/svn up -q $packagebase
diff --git a/db-remove b/db-remove
index 621154d..bbf8044 100755
--- a/db-remove
+++ b/db-remove
@@ -17,7 +17,6 @@ export CARCH="$arch"
ftppath="$FTP_BASE/$reponame/os"
svnrepo="$reponame-$arch"
-svnpath="$(get_svnpath $reponame)"
[ "$UID" = "" ] && UID=$(uid)
@@ -52,7 +51,7 @@ repo_lock $reponame $arch
echo "==> Removing package '$packagebase' from '$reponame'..." >&2
cd "$WORKDIR"
-/usr/bin/svn checkout -N $svnpath checkout
+/usr/bin/svn checkout -N $SVNREPO checkout
cd checkout
/usr/bin/svn up -q $packagebase
diff --git a/db-update b/db-update
index ade7a39..939fe56 100755
--- a/db-update
+++ b/db-update
@@ -76,8 +76,7 @@ if [ -n "$ANYPKGS" ]; then
pkgtotal=$(echo "$ANYPKGS" | wc -w)
echo "==> Processing $pkgtotal new/updated arch-independent packages for '$reponame'..." >&2
- svnpath="$(get_svnpath $reponame)"
- /usr/bin/svn checkout -N $svnpath checkout
+ /usr/bin/svn checkout -N $SVNREPO checkout
cd checkout
to_add_any=""
for pkg in $ANYPKGS; do
@@ -117,7 +116,6 @@ for current_arch in ${ARCHES[@]}; do
exit 1
fi
- svnpath="$(get_svnpath $reponame)"
svnrepo="$reponame-$current_arch"
repo_lock $reponame $current_arch
@@ -148,7 +146,7 @@ for current_arch in ${ARCHES[@]}; do
echo "==> Processing $pkgtotal new/updated packages for repository '$reponame'..." >&2
cd "$WORKDIR"
- /usr/bin/svn checkout -N $svnpath checkout
+ /usr/bin/svn checkout -N $SVNREPO checkout
cd checkout
if [ -n "$ADDPKGS" ]; then
diff --git a/testing2x b/testing2x
index 0314738..e116297 100755
--- a/testing2x
+++ b/testing2x
@@ -13,7 +13,6 @@ case "$0" in
;;
esac
WORKDIR="$TMPDIR/testing2x.$UID"
-svnpath="$(get_svnpath testing)"
cleanup() {
trap '' 0 2
@@ -31,7 +30,7 @@ trap cleanup 0
/bin/mkdir "${WORKDIR}"
cd "${WORKDIR}"
-/usr/bin/svn checkout -N $svnpath checkout
+/usr/bin/svn checkout -N $SVNREPO checkout
cd checkout
for pkg in $*; do